/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// griddll.h                                                               //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// Grid control library - Version 1.20 - 1 nov 1994                        //
// Original code: H. Picot                                                 //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

#ifndef GRIDDLL_H
#define GRIDDLL_H

#ifndef OEMRESOURCE
#define OEMRESOURCE
#endif

#ifdef _BUILDGRIDDLL
#  define _GRIDCLASS __export
#  define _GRIDFUNCTION __export

#elif defined (_GRIDLIB)
#  define _GRIDCLASS
#  define _GRIDFUNCTION

#else
#  define _GRIDCLASS __import
#  ifdef __WIN32__
#     define _GRIDFUNCTION __export
#  else
#     define _GRIDFUNCTION
#  endif
#endif

#ifndef __OWL_OWLPCH_H
#include <owl/owlpch.h>
#endif
#ifndef __OWL_EDIT_H
#include <owl/edit.h>
#endif
#ifndef __OWL_COMBOBOX_H
#include <owl/combobox.h>
#endif
#ifndef __OWL_BUTTON_H
#include <owl/button.h>
#endif
#ifndef __OWL_CHECKBOX_H
#include <owl/checkbox.h>
#endif
#ifndef __STDIO_H
#include <stdio.h>
#endif

#include "grid.h"
#include "gridbtn.h"
#include "gridcbox.h"
#include "gridedit.h"
#include "gridstat.h"
#include "gridckbx.h"

extern TModule *GridModule;  // defined in LibMain.cpp

#endif
