/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// gridstat.h                                                              //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////
//                                                                         //
// Grid control library - Version 1.20 - 1 nov 1994                        //
// Original code: H. Picot                                                 //
//                                                                         //
/////////////////////////////////////////////////////////////////////////////

#ifndef GRIDSTAT_H
#define GRIDSTAT_H

class _GRIDCLASS TGStatic : public TStatic
   {
   friend TGrid;

   HEADER_COLORS;

   protected:
      virtual void DrawCell (TDC &dc, TRect &rc, const char *p, TGrid::Align align = TGrid::Left);   

   public:
      TGStatic (TWindow *p, int id, char *title, int x, int y, int w, int h, int textlen = 0, TModule *module = 0);
      TGStatic (TWindow *p, int id, int textlen = 0, TModule *module = 0);
     ~TGStatic ();

      virtual int Height () { return Attr.H; }   
      virtual int  Width () { return Attr.W; }   
   };

#endif

// EOF
