BOOL ListGrid::AppendNewLine(int & newline)
   {
   BOOL result = newline < 30;
   return result;
   }

char * ListGrid::TransferItem(int line, int id)
   {
   static char buffer[100];
   char *result = 0;
   if (line < 30)
      {
      wsprintf(buffer, "%d %d", line, id);
      result = buffer;
      }
   return result;
   }

ListDialog::ListDialog(TWindow * parent, TResId resId, TModule * module)
          : MDialog(parent, resId, module)
   {
   pTGrid = new ListGrid(this, 101, 0, 0, 1000, 900, TGrid::NextLine, -1);
   pTGrid->Add(new TGStatic(this, 1001, 0, 0, 0, 100, 20), "One");
   pTGrid->Add(new TGStatic(this, 1002, 0, 0, 0, 100, 20), "Two");
   pTGrid->Add(new TGStatic(this, 1003, 0, 0, 0, 100, 20), "Three");
   pTGrid->AddVBar();
   }

Also here is what my updated Paint looks like after adding your suggested changes:

void TGrid::Paint (TDC &dc, BOOL, TRect &clip)
   {
   // terminate initialization
   if (firstPaint)
      {
      firstPaint = FALSE;
      CalcPos ();
      return;
      }

   // clip drawing
   dc.SelectClipRgn (TRegion(clip));

   // Select font
   dc.SelectObject (*font);

   // draw lines
   int y = 0;
   for (int i = 0; i < visibleLines; i++, y += lineHeight)
          {
 // Added per Henri Picot - jpw 11/1/94
                int             pos = firstLine + i;
                if (maxLines < 0 && pos >= nLines)
                {
                        if (!AppendNewLine(pos))
                        {
                                TRect   rc(0, y, Attr.W, Attr.H);
                                dc.FillRect(rc, TBrush(GetSysColor(COLOR_WINDOW)));
                                break;
                        }
                        SetNLines(pos + 1);
                }
 // End Added per Henri Picot - jpw 11/1/94
          TRect current (0, y, Attr.W-1, y+lineHeight-1);
          if (!current.Touches (clip))
                 continue;

      // text
      for (Element *ctrl = firstControl; ctrl; ctrl = ctrl->next)
         {
         // do not draw elements scrolled out horizontally
         if (ctrl->left + ctrl->width <= 0)
            continue;
         if (ctrl->left >= Attr.W)
            continue;

         TControl *c = ctrl->control;
         char *data = TransferItem (i+firstLine, c->GetId ());

         // drawing area
         TRect rc (ctrl->left, y, ctrl->left+ctrl->width-1, y+lineHeight-1);
         if (rc.Touches (clip))
            {
            switch (ctrl->type)
               {
               case gEdit:
                  dynamic_cast<TGEdit *>(c)->DrawCell
                                                 (dc, rc, data, ctrl->align);
                  break;
               case gStatic:
                  dynamic_cast<TGStatic *>(c)->DrawCell
                                                 (dc, rc, data, ctrl->align);
                  break;
               case gCombo:
                  dynamic_cast<TGComboBox *>(c)->DrawCell (dc, rc, data);
                  break;
               case gCheck:
                  dynamic_cast<TGCheckBox *>(c)->DrawCell
                                                 (dc, rc, data, ctrl->align);
                  break;
               case gButton:
                  dynamic_cast<TGButton *>(c)->DrawCell (dc, rc, data);
                  break;
               }
            }
         }
      }
   dc.RestoreFont ();

   // draw grid
   dc.SelectObject (TPen (lineColor));
   y = lineHeight-1;
   for (i = 1; i < visibleLines; i++, y += lineHeight)
      {
      dc.MoveTo (0, y);
      dc.LineTo (Attr.W-2, y);
      }

   for (Element *ctrl = firstControl->next; ctrl; ctrl = ctrl->next)
      {
      int x = ctrl->left-1;
      if (x >= 0 && x < Attr.W)
         {
         dc.MoveTo (x, 0);
         dc.LineTo (x, Attr.H-2);
         }
      }
   dc.RestorePen ();
   }